#pragma once
#include <render/sprite/atlas.h>
#include <render/sprite/image.h>
#include <render/fx/collection.h>

namespace resources
{

extern render::sprite::textureAtlas atlas;
extern render::fx::collection effects;

void init();
void free();

render::sprite::icon &getIcon(int32_t button, int32_t type);
render::sprite::icon &getPlaceholderIcon(int32_t button, int32_t type);

}
